package cz.frantovo.nekurak.util;

import cz.frantovo.nekurak.vyjimky.KomentarovaVyjimka;
import org.junit.Test;
import static org.junit.Assert.*;

public class KomentareTest {

    @Test
    public void obal() {
	String vystup = Komentare.obal("asdf");
	String pozadovanyVystup = "<div>asdf</div>";
	assertEquals(pozadovanyVystup, vystup);
    }

    @Test
    public void upravProstýTextObal() {
	String vystup = Komentare.upravProstyText("as\ndf");
	vystup = Komentare.obal(vystup);
	String pozadovanyVystup = "<div><p>as<br/>df</p></div>";
	assertEquals(pozadovanyVystup, vystup);
    }

    @Test
    public void zvláštníZnaky() {
	String vystup = Komentare.upravProstyText("nbusr123 & | and < … > uvo\"zovky'");
	String pozadovanyVystup = "<p>nbusr123 &amp; | and &lt; … &gt; uvo&quot;zovky&apos;</p>";
	System.out.println(vystup);
	assertEquals(pozadovanyVystup, vystup);
    }

    @Test
    public void xmlJednoduché() throws Exception {
	Komentare.zkontroluj("<div><p>xxx</p></div>");
	Komentare.zkontroluj("<div><p>xxx</p><p>xxx</p></div>");
	Komentare.zkontroluj("<div><p>xxx<strong>tučně</strong>xxx</p></div>");
	Komentare.zkontroluj("<div><p>xxx<em>tučně</em>xxx</p></div>");
    }

    @Test(expected = KomentarovaVyjimka.class)
    public void xmlChybaÚplněŠpatnéXML() throws Exception {
	Komentare.zkontroluj("<div>xxx</p></div>");
    }

    @Test(expected = KomentarovaVyjimka.class)
    public void xmlChybaChybíOdstavec() throws Exception {
	Komentare.zkontroluj("<div>xxx</div>");
    }

    @Test(expected = KomentarovaVyjimka.class)
    public void xmlChybaPřebýváAtribut() throws Exception {
	Komentare.zkontroluj("<div omfg='xxx'><p>xxx</p></div>");
    }
}
